.rs-slider {
    position: relative;
}

.rs-slider__social {
    position: absolute;
    right: 0;
    top: 50%;
    -webkit-transform: rotate(-90deg) translate(50%, calc(100% + 27px));
    transform: rotate(-90deg) translate(50%, calc(100% + 27px));
    -webkit-transform-origin: right bottom;
    transform-origin: right bottom;
}

.rs-slider__social ul {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.rs-slider__social ul li {
    padding-left: 30px;
    padding-right: 30px;
    position: relative;
}

.rs-slider__social ul li:not(:last-child)::after {
    content: "/";
    position: absolute;
    top: 0;
    right: 0;
    color: #001f47;
    font-size: 20px;
}

.rs-slider__social a {
    color: #001f47;
    font-size: 20px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.rs-slider__social a.whatsapp::before {
    content: url(../../img/icons/whatsapp_contacts_icon.svg);
    margin-right: 15px;
}

.rs-slider__social a.vk::before {
    content: url(../../img/icons/vk_contacts_icon.svg);
    margin-right: 15px;
}

.rs-slider__slider {
    position: relative;
    height: 748px;
}

.rs-slider__nav {
    z-index: 2;
    position: absolute;
    bottom: 125px;
    left: 95px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.rs-slider__swiper {
    height: 100%;
}

.rs-slider__slide {
    pointer-events: none;
    height: 100%;
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    border-radius: 20px;
    overflow: hidden;
    padding-bottom: 180px;
    padding-top: 120px;
}

.rs-slider__bg {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    -o-object-fit: cover;
    object-fit: cover;
}

.rs-slider__slide-inner {
    z-index: 2;
    padding-left: 95px;
    padding-right: 95px;
}

.rs-slider__slide-content {
    max-width: 865px;
}

.rs-slider__slide-content .wrap {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.rs-slider__slide-content h2 {
    color: #fff;
    font-size: 96px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    text-transform: uppercase;
    margin-bottom: 28px;
}

.rs-slider__slide-content h6 {
    color: #fff;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-bottom: 13px;
}

.rs-slider__slide-content p {
    color: #fff;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-left: 20px;
}

.rs-slider__slider {
    opacity: 0;
    transition-timing-function: ease-out;
    transition-duration: 0.3s;
}

.rs-slider__slider.swiper-initialized {
    opacity: 1;
}

.rs-slider__slide .rs-slider__slide-inner h2,
.rs-slider__slide .rs-slider__slide-inner h6,
.rs-slider__slide .rs-slider__slide-inner .wrap {
    -webkit-transform: translateX(50px);
    transform: translateX(50px);
    opacity: 0;
    transition-property: -webkit-transform opacity;
    transition-property: transform opacity;
    transition-property: transform opacity, -webkit-transform opacity;
    transition-timing-function: ease-out;
    transition-delay: 0s;
    transition-duration: 0s;
}

.rs-slider__slide.swiper-slide-active.is-active .rs-slider__slide-inner .wrap {
    pointer-events: auto;
}

.rs-slider__slide.swiper-slide-active.is-active .rs-slider__slide-inner h2,
.rs-slider__slide.swiper-slide-active.is-active .rs-slider__slide-inner h6,
.rs-slider__slide.swiper-slide-active.is-active .rs-slider__slide-inner .wrap {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
    transition-duration: 0.5s;
}

.rs-slider__slide.swiper-slide-active.is-active .rs-slider__slide-inner h2 {
    transition-delay: 0.3s;
}

.rs-slider__slide.swiper-slide-active.is-active .rs-slider__slide-inner .wrap {
    transition-delay: 0.6s;
}

@media (min-width: 1790px) {
    .rs-slider {
        padding-left: calc((100% - 1760px) / 2);
        padding-right: calc((100% - 1760px) / 2);
    }

    .rs-slider__social {
        right: calc((100% - 1760px) / 2);
    }
}

@media (max-width: 767.98px) {
    .rs-slider__slider {
        height: 598px;
    }

    .rs-slider__nav {
        right: 15px;
        bottom: 15px;
        left: auto;
    }

    .rs-slider__slide {
        -ms-flex-align: stretch;
        align-items: stretch;
        -ms-flex-pack: center;
        justify-content: center;
        padding-top: 50px;
        padding-bottom: 15px;
        padding-left: 15px;
        padding-right: 15px;
        border-radius: 0;
    }

    .rs-slider__slide-inner {
        padding-left: 0px;
        padding-right: 0px;
    }

    .rs-slider__slide-content {
        text-align: center;
        height: 100%;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .rs-slider__slide-content .wrap {
        -ms-flex-direction: column;
        flex-direction: column;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
    }

    .rs-slider__slide-content .wrap .btn-color {
        -ms-flex-order: 2;
        order: 2;
        margin-top: auto;
        -ms-flex-item-align: start;
        align-self: flex-start;
    }

    .rs-slider__slide-content h2 {
        font-size: 28px;
        margin-bottom: 12px;
        text-transform: none;
    }

    .rs-slider__slide-content h2 br {
        display: none;
    }

    .rs-slider__slide-content h6 {
        font-size: 14px;
        margin-bottom: 8px;
    }

    .rs-slider__slide-content h6 br {
        display: none;
    }

    .rs-slider__slide-content p {
        font-size: 16px;
        margin-left: 0;
    }

    .rs-slider__slide-content p br {
        display: none;
    }
}

@media (min-width: 405px) and (max-width: 767px) {
    .rs-slider__nav {
        right: calc((100vw - 375px) / 2);
    }

    .rs-slider__slide {
        padding-left: calc((100vw - 375px) / 2);
        padding-right: calc((100vw - 375px) / 2);
    }
}